Skip to main content
`Ctrl`+`K`

# DMSwarmCellDMGetDM

Returns the background `DM` for the `DMSwarm`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCellDMGetDM(DMSwarmCellDM celldm, DM *dm)

Not Collective

## Input Parameter

- celldm - The `DMSwarmCellDM` object

## Output Parameter

- dm - The `DM` object

## See Also

`DMSwarmCellDM`, `DM`, `DMSwarmSetCellDM()`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages